﻿using System;
using Pdftools.Pdf;
using Pdftools.PdfPrint;
using Pdftools.Render;

namespace sm
{
    class Program
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            Printer printer = new Printer();

            //PDF文書を開く
            printer.Open("some.pdf", null);

                //１っめの印刷ジョブ
                printer.OpenPrinter("The First Printer");
                    printer.BeginDocument("My First Job");
                        printer.PrintPage(1);   //１ページめを印刷
                    printer.EndDocument();
                printer.ClosePrinter();

                //２っめの印刷ジョブ
                printer.OpenPrinter("The Second Printer");
                    printer.BeginDocument("My Second Job");
                        printer.PrintPage(2);   //２ページめを印刷
                        printer.PrintPage(3);   //３ページめを印刷
                    printer.EndDocument();
                printer.ClosePrinter();

            //終了
            printer.Close();
        }
    }
}
